//
//  CPDFEditViewController.h
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//


#import <UIKit/UIKit.h>
#import <compdfkit_tools/CPDFEditToolBar.h>



NS_ASSUME_NONNULL_BEGIN

@interface CPDFEditViewController : UIViewController

@property (nonatomic, strong) UILabel *titleLabel;

@property (nonatomic, assign) CPDFEditMode editMode;

@property (nonatomic, readonly) CPDFView *pdfView;

- (instancetype)initWithPDFView:(CPDFView *)pdfView;


@end

NS_ASSUME_NONNULL_END
