//
//  CPDFFormRadioButtonViewController.h
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <UIKit/UIKit.h>
#import "CPDFFormBaseViewController.h"

@class CAnnotationManage;

@interface CPDFFormRadioButtonViewController : CPDFFormBaseViewController

@property (nonatomic, readonly) CAnnotationManage * annotManage;

- (instancetype)initWithManage:(CAnnotationManage *)annotManage;

@end

