//
//  CPDFMoreListViewController.h
//  compdfkit-tools
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <UIKit/UIKit.h>

typedef NS_ENUM(NSUInteger, CPDFMoreListViewType) {
    CPDFMoreListViewTypeInfo = 0,
    CPDFMoreListViewTypePDFDisplay
};

@class CPDFDocument;
@class CPDFMoreListViewController;

NS_ASSUME_NONNULL_BEGIN

@protocol CPDFMoreListViewDelegate <NSObject>

- (void)PDFMoreListViewController:(CPDFMoreListViewController *)moreVC didSelectRow:(CPDFMoreListViewType)row;

@end

@interface CPDFMoreListViewController : UIViewController

@property (nonatomic, weak) id<CPDFMoreListViewDelegate> delegate;

@end

NS_ASSUME_NONNULL_END
