//
//  CPDFUnderlineViewController.h
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import <compdfkit_tools/compdfkit_tools.h>

NS_ASSUME_NONNULL_BEGIN

@class CPDFUnderlineViewController;
@class CAnnotStyle;

@protocol CPDFUnderlineViewControllerDelegate <NSObject>

@optional

- (void)underlineViewController:(CPDFUnderlineViewController *)underlineViewController annotStyle:(CAnnotStyle *)annotStyle;

@end

@interface CPDFUnderlineViewController : CPDFAnnotationBaseViewController

@property (nonatomic, weak) id<CPDFUnderlineViewControllerDelegate> delegate;

@end

NS_ASSUME_NONNULL_END
