//
//  CPDFAnnotationHeader_h
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#ifndef CPDFAnnotationHeader_h
#define CPDFAnnotationHeader_h

#import "CPDFAnnotation+PDFListView.h"

static NSString *CPDFAnnotationBoundsKey = @"bounds";

static NSString *CPDFAnnotationContentKey = @"contents";

static NSString *CPDFAnnotationborderWidthKey = @"borderWidth";

static NSString *CPDFAnnotationBorderKey = @"border";

static NSString *CPDFAnnotationOpacityKey = @"opacity";

static NSString *CPDFAnnotationColorKey = @"color";

static NSString *CPDFAnnotationModificationDateKey = @"modificationDate";

static NSString *CPDFAnnotationUserNameKey = @"userName";

static NSString *CPDFAnnotationInteriorOpacityKey = @"interiorOpacity";

static NSString *CPDFAnnotationInteriorColorKey = @"interiorColor";

static NSString *CPDFAnnotationBorderColorKey = @"borderColor";

static NSString *CPDFAnnotationBackgroundColorKey = @"backgroundColor";

static NSString *CPDFAnnotationFontKey = @"font";

static NSString *CPDFAnnotationFontColorKey = @"fontColor";

static NSString *CPDFAnnotationStateKey = @"state";

static NSString *CPDFAnnotationCaptionKey = @"caption";

static NSString *CPDFAnnotationWidgetCheckStyleKey = @"widgetCheckStyle";

static NSString *CPDFAnnotationWidgetItemsKey = @"items";

static NSString *CPDFAnnotationSelectItemAtIndexKey = @"selectItemAtIndex";

static NSString *CPDFAnnotationAlignmentKey = @"alignment";

static NSString *CPDFAnnotationStartPointKey = @"startPoint";

static NSString *CPDFAnnotationEndPointKey = @"endPoint";

static NSString *CPDFAnnotationWidgetStringValueKey = @"stringValue";

static NSString *CPDFAnnotationWidgetIsMultilineKey = @"isMultiline";


#endif /* PDFAnnotationHeader_h */
