//
//  CPDFCircleAnnotation+PDFListView.m
//  compdfkit-tools
//
//  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//  This notice may not be removed from this file.
//

#import "CPDFCircleAnnotation+PDFListView.h"
#import "CPDFAnnotationHeader.h"

@implementation CPDFCircleAnnotation (PDFListView)

- (NSSet *)keysForValuesToObserveForUndo {
    static NSSet *circleKeys = nil;
    if (circleKeys == nil) {
        NSMutableSet *mutableKeys = [[super keysForValuesToObserveForUndo] mutableCopy];
        [mutableKeys addObject:CPDFAnnotationInteriorColorKey];
        [mutableKeys addObject:CPDFAnnotationInteriorOpacityKey];
        circleKeys = [mutableKeys copy];
    }
    return circleKeys;
}

@end
